
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-caps
Summary:		The C* Audio Plugin Suite
Version:		0.4.4
Release:		0.pm.2.3
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			http://quitte.de/dsp/caps_%{version}.tar.gz
URL:			http://quitte.de/dsp/caps.html
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa

%description
caps, the C* Audio Plugin Suite, is a collection of refined LADSPA
units including instrument amplifier emulation, stomp-box classics,
versatile 'virtual analog' oscillators, fractal oscillation, reverb,
equalization and others.



%prep
%setup -q -n caps-%{version}
%__rm ladspa.h

%build
%__make %{?jobs:-j%{jobs}} \
	CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"

%install
%makeinstall \
	DEST=%{buildroot}%{_libdir}/ladspa \
	RDFDEST=%{buildroot}%{_datadir}/ladspa/rdf

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc CHANGES COPYING README* caps.html
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*.so
%dir %{_datadir}/ladspa
%dir %{_datadir}/ladspa/rdf
%{_datadir}/ladspa/rdf/*

%changelog
* Sat Nov 14 2009 Toni Graffy <toni@links2linux.de> - 0.4.4-0.pm.1
- update to 0.4.4
- This is a maintenance release, keeping up with g++'s latest whims and 
  allowing compilation and use on OSX (or so I am told). Other minor 
  fixes are included but if everything is peachy for you, there's little 
  need to upgrade. If you're maintaining a CAPS package for your 
  favourite Linux distribution, it would be a good idea though.
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 0.4.2-0.pm.2
- splitt-off from ladspa package
